Jafe Lee

  BlogJava :: 首页 :: 新随笔 :: 联系 :: 聚合  :: 管理 ::
  49 随笔 :: 0 文章 :: 24 评论 :: 0 Trackbacks
到目前为止,觉得jedit还是最适合groovy初学者的编辑器。。。据说intelliJ的Groovy支持很强大,不过实在太慢了,以后有机会再试试

1、需要的软件包:
  • jedit:可到 www.jedit.org 上下载,这里我用的是 jedit_4.3 pre9。
  • superscript: 可到 http://plugins.jedit.org/plugins/?SuperScript 选择需要的版本下载,我用的也是最新版本 SuperScript-0.4-bin.zip。也可以在jedit插件管理中直接安装
  • Groovy: 可到groovy官网下载,这里我用的是最新稳定版  Groovy 1.5.6
2、安装官网指导安装Groovy
3、安装jedit,解压 superScript-0.4-bin.zip可得到两个jar包:bsf.jar和superscript.jar,把这两个包连同包 $GROOVY_HOME/embeddable/groovy-all-1.5.6.jar 一起copy到目录  <jedit.home>/jars 下

4、把这段代码
org.apache.bsf.BSFManager.registerScriptingEngine(
  
"groovy","org.codehaus.groovy.bsf.GroovyEngine",new String[]{"groovy","gv"});
添加到文件 <jedit.home>/startup/startup.bsh 的末尾

5、重启jedit,测试。。。见下图:
jeditG.jpg


test.groovy


posted on 2007-05-28 18:09 Jafe Lee 阅读(590) 评论(0)  编辑  收藏 所属分类: Groovy

只有注册用户登录后才能发表评论。


网站导航: